from django.db import models
from django.db.models import IntegerField
from django.contrib.auth.models import User
from django.contrib import admin

# Create your models here.
class ChannelModel(models.Model):
	pass

class MemberModel(models.Model):
	member_id = IntegerField(primary_key=False)
	channel_id = IntegerField(primary_key=False)

	def __str__(self):
		return "member_id: " + str(self.member_id) + ", channel_id: " + str(self.channel_id)

class MessageModel(models.Model):
	channel_id = IntegerField(primary_key=False)
	author_id = IntegerField(primary_key=False)
	content = models.CharField(max_length=255)
	time = IntegerField(primary_key=False)

	def __str__(self): 
		return "author_id: " + str(self.author_id) + ", channel_id: " + str(self.channel_id) + ", content: " + self.content
